## org.eclipse.jst.jsf.context.symbol
Interface IListTypeDescriptor

All Superinterfaces:
  ITypeDescriptor

All Known Subinterfaces:
  IBoundedListTypeDescriptor

    public interface IListTypeDescriptor

extends ITypeDescriptor

A representation of the model object 'IList Type Descriptor'.

Provisional API - subject to change

The following features are supported:

- `List Source`

See Also:
  `SymbolPackage.getIListTypeDescriptor()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`EList` `getListSource()` Returns the value of the 'List Source' attribute
`void` `setListSource(EList value)` Sets the value of the '`List Source`' attribute

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.ITypeDescriptor
`calculateSyntheticCall, getArrayElement, getInterfaceTypeSignatures, getJdtContext, getMethods, getProperties, getSuperTypeSignatures, getTypeParameterSignatures, getTypeSignature, getTypeSignatureDelegate, instanceOf, isArray, isEnumType, resolveType, setEnumType, setJdtContext, setTypeSignatureDelegate`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getListSource

    EList getListSource()

  Returns the value of the 'List Source' attribute.

  If the meaning of the 'List Source' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'List Source' attribute.
  See Also:
    `setListSource(EList)`, `SymbolPackage.getIListTypeDescriptor_ListSource()`

### setListSource

    void setListSource(EList value)

  Sets the value of the '`List Source`' attribute.

  Parameters:
    `value` - the new value of the 'List Source' attribute.
  See Also:
    `getListSource()`